Name:		adcli
Version:	0.8.1
Release:	6%{?dist}.1
Summary:	Active Directory enrollment
License:	LGPLv2+
URL:		http://cgit.freedesktop.org/realmd/adcli
Source0:	http://www.freedesktop.org/software/realmd/releases/adcli-%{version}.tar.gz
Patch1:		0001-library-Fix-check-for-EAGAIN-or-EINTR.patch
Patch2:		0002-Patch-to-adcli.xml-to-fix-documentation-error.patch
Patch3:		0003-Remove-n-or-r-n-from-stdin-password.patch
Patch4:		0001-delete-use-keytab-data-to-determine-realm-and-NetBIO.patch
Patch5:         0001-Remove-upper-case-only-check-when-looking-for-the-Ne.patch
Patch6:         0002-Use-strdup-if-offset-are-used.patch
Patch7:         0001-correct-spelling-of-adcli_tool_computer_delete-descr.patch
Patch8:         0001-doc-Update-the-documentation-about-the-default-kerbe.patch
Patch9:         0002-doc-explain-that-all-credential-cache-types-are-supp.patch
Patch10:        0003-library-add-adcli_conn_is_writeable.patch
Patch11:        0004-Handle-kvno-increment-for-RODCs.patch

Patch12:        0001-Fix-memory-leak-in-test_check_nt_time_string_lifetim.patch
Patch13:        0002-library-add-_adcli_bin_sid_to_str.patch
Patch14:        0003-library-add-_adcli_call_external_program.patch
Patch15:        0004-library-add-_adcli_ldap_parse_sid.patch
Patch16:        0005-library-add-lookup_domain_sid.patch
Patch17:        0006-library-add-adcli_conn_get_domain_sid.patch
Patch18:        0007-tools-add-option-add-samba-data.patch
Patch19:        0008-tools-store-Samba-data-if-requested.patch
Patch20:        0009-make-Samba-data-tool-configurable.patch

Patch21:        0001-Add-trusted-for-delegation-option.patch
Patch22:        0002-Only-update-attributes-given-on-the-command-line.patch
Patch23:        0003-update-allow-to-add-service-names.patch
Patch24:        0004-Calculate-enctypes-in-a-separate-function.patch
Patch25:        0005-join-add-all-attributes-while-creating-computer-obje.patch
Patch26:        0006-util-add-_adcli_strv_remove_unsorted.patch
Patch27:        0007-Add-add-service-principal-and-remove-service-princip.patch
Patch28:        0001-adcli_conn_is_writeable-do-not-crash-id-domain_disco.patch

# Additional fixes for rhbz#1593240
Patch29:        0001-fix-typo-in-flag-value.patch
Patch30:        0002-_adcli_call_external_program-silence-noisy-debug-mes.patch

# rhbz#1608212
Patch31:        0003-Do-not-add-service-principals-twice.patch

# Additional fixed for rhbz#1547014
Patch32:        0004-Do-not-depend-on-default_realm-in-krb5.conf.patch

# rhbz#1666775
Patch33:        0001-adutil-add-_adcli_strv_add_unique.patch
Patch34:        0002-adenroll-use-_adcli_strv_add_unique-for-service-prin.patch

BuildRequires:	intltool pkgconfig
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	openldap-devel
BuildRequires:	libxslt
BuildRequires:	xmlto

Requires:	cyrus-sasl-gssapi

# adcli no longer has a library of development files
# the adcli tool itself is to be used by callers
Obsoletes:	adcli-devel < 0.5

%description
adcli is a library and tool for joining an Active Directory domain using
standard LDAP and Kerberos calls.

%define _hardened_build 1

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1

%build
autoreconf --force --install --verbose
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean

%files
%{_sbindir}/adcli
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/doc/adcli
%doc %{_mandir}/*/*

%changelog
* Wed Jan 16 2019 Sumit Bose <sbose@redhat.com> - 0.8.1-6.1
- join failed if hostname is not FQDN [#1666775]

* Tue Aug 14 2018 Sumit Bose <sbose@redhat.com> - 0.8.1-6
- Couldn't set service principals on computer account [#1608212]
- additional fix #1547014 and #1593240

* Tue Jun 19 2018 Sumit Bose <sbose@redhat.com> - 0.8.1-5
- enable "Trust this computer for delegation to any service (Kerberos only)" [#1538730]
- realm join fails with Insufficient permissions [#1542354]
- adcli update option cannot add principals for computer object [#1545568]
- adcli refuses to add service principals [#1547013]
- [RFE] Support adding SPN of a different host [#1547014]
- adcli segfaults during AD join RHEL 7.5 [#1575554]

* Thu Nov 02 2017 Sumit Bose <sbose@redhat.com> - 0.8.1-4
- adcli doesn't update kvno while joining system to AD domain (RODC) [#1471021]
- adcli_tool_computer_delete description spelling [#1450179]
- adcli man page should not only mention FILE type credential caches [#1423871]

* Wed Aug 24 2016 Sumit Bose <sbose@redhat.com> - 0.8.1-3
- fix crash when name is specified on the command line and detect names with
  lower case characters [#1359773]

* Mon Jul 25 2016 Sumit Bose <sbose@redhat.com> - 0.8.1-2
- delete: use keytab data to determine realm and NetBIOS name [#1359773]
* Thu May 19 2016 Sumit Bose <sbose@redhat.com> - 0.8.1-1
- Update to upstream release 0.8.1
- Rebase adcli in RHEL-7.3 to version 0.8.0 [#1292530]
- Support Host Keytab renewal [#1288485]
- realmd not joining AD so ssh gssapi-with-mic works [#1061371]
- technically wrong length checks in binary parsers  [#1027905]
- avoid alloca in _adcli_ldap_have_in_mod [#1027889]
- [RFE] adcli --stdin-password should be able to strip newline character from
  the input [#1134330]

* Thu Jan 30 2014 Stef Walter <stefw@redhat.com> - 0.7.5-4
- Fix incorrect ownership of manual page directory [#1057563]

* Tue Jan 28 2014 Daniel Mach <dmach@redhat.com> - 0.7.5-3
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 0.7.5-2
- Mass rebuild 2013-12-27

* Fri Sep 13 2013 Stef Walter <stefw@redhat.com> - 0.7.5-1
- Update to upstream point release 0.7.5
- Workaround for discovery via IPv6 address [#1004442]
- Correctly put IPv6 addresses in temporary krb5.conf

* Mon Sep 09 2013 Stef Walter <stefw@redhat.com> - 0.7.4-1
- Update to upstream point release 0.7.4
- Correctly handle truncating long host names [#1001667]
- Try to contact all available addresses for discovery [#1004442]
- Build fixes [#1004823]

* Wed Aug 07 2013 Stef Walter <stefw@redhat.com> - 0.7.3-1
- Update to upstream point release 0.7.3
- Don't try to set encryption types on Windows 2003

* Mon Jul 22 2013 Stef Walter <stefw@redhat.com> - 0.7.2-1
- Update to upstream point release 0.7.2
- Part of fix for bug [#967008]

* Tue Jun 11 2013 Stef Walter <stefw@redhat.com> - 0.7.1-3
- Run 'make check' when building the package

* Mon May 13 2013 Stef Walter <stefw@redhat.com> - 0.7.1-2
- Bump version to get around botched update

* Mon May 13 2013 Stef Walter <stefw@redhat.com> - 0.7.1-1
- Update to upstream 0.7.1 release
- Fix problems with salt discovery [#961399]

* Mon May 06 2013 Stef Walter <stefw@redhat.com> - 0.7-1
- Work around broken krb5 with empty passwords [#960001]
- Fix memory corruption issue [#959999]
- Update to 0.7, fixing various bugs

* Mon Apr 29 2013 Stef Walter <stefw@redhat.com> - 0.6-1
- Update to 0.6, fixing various bugs

* Wed Apr 10 2013 Stef walter <stefw@redhat.com> - 0.5-2
- Add appropriate Obsoletes line for libadcli removal

* Wed Apr 10 2013 Stef Walter <stefw@redhat.com> - 0.5-1
- Update to upstream 0.5 version
- No more libadcli, and thus no adcli-devel
- Many new adcli commands
- Documentation

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Stef Walter <stefw@redhat.com> - 0.4-1
- Update for 0.4 version, fixing various bugs

* Sat Oct 20 2012 Stef Walter <stefw@redhat.com> - 0.3-1
- Update for 0.3 version

* Tue Sep 4 2012 Stef Walter <stefw@redhat.com> - 0.2-1
- Update for 0.2 version

* Wed Aug 15 2012 Stef Walter <stefw@redhat.com> - 0.1-1
- Initial 0.1 package
